Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class DesktopDefinition

    java.lang.Object
      |
      +--com.bea.netuix.application.definition.DesktopDefinition

All Implemented Interfaces:
  Serializable

public class DesktopDefinition
extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`protected DesktopDefinitionId` | `desktopDefinitionId`
`protected DesktopInstance` | `desktopInstance`

Constructor Summary
`protected` | `DesktopDefinition(DesktopDefinitionId desktopDefinitionId, LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, BookDefinitionId bookDefinitionId, DesktopInstance desktopInstance)`
`` | `DesktopDefinition(DesktopDefinitionId desktopDefinitionId, LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, BookDefinitionId bookDefinitionId, LookAndFeelDefinitionId lookAndFeelDefinitionId, ShellDefinitionId shellDefinitionId)`

Method Summary
`BookDefinitionId` | `getBookDefinitionId()`
`BookInstanceId` | `getBookInstanceId()`
`DesktopDefinitionId` | `getDesktopDefinitionId()`
`LocalizationIntersectionId` | `getLocalizationIntersectionId()`
`LocalizationResource` | `getLocalizationResource()`
`LookAndFeelDefinitionId` | `getLookAndFeelDefinitionId()`
`MarkupDefinitionId` | `getMarkupDefinitionId()`
`DesktopInstanceId` | `getPrimaryInstanceId()`
`ShellDefinitionId` | `getShellDefinitionId()`
`void` | `setBookDefinitionId(BookDefinitionId bookDefinitionId)`
`void` | `setDesktopDefinitionId(DesktopDefinitionId desktopDefinitionId)`
`void` | `setLocalizationResource(LocalizationResource localizationResource)`
`void` | `setLookAndFeelDefinitionId(LookAndFeelDefinitionId lookAndFeelDefinitionId)`
`void` | `setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)`
`void` | `setShellDefinitionId(ShellDefinitionId shellDefinitionId)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### desktopDefinitionId

    protected DesktopDefinitionId desktopDefinitionId

### desktopInstance

    protected DesktopInstance desktopInstance

Constructor Detail

### DesktopDefinition

    public DesktopDefinition(DesktopDefinitionId desktopDefinitionId,
                             LocalizationResource localizationResource,
                             MarkupDefinitionId markupDefinitionId,
                             BookDefinitionId bookDefinitionId,
                             LookAndFeelDefinitionId lookAndFeelDefinitionId,
                             ShellDefinitionId shellDefinitionId)

### DesktopDefinition

    protected DesktopDefinition(DesktopDefinitionId desktopDefinitionId,
                                LocalizationResource localizationResource,
                                MarkupDefinitionId markupDefinitionId,
                                BookDefinitionId bookDefinitionId,
                                DesktopInstance desktopInstance)

Method Detail

### getDesktopDefinitionId

    public DesktopDefinitionId getDesktopDefinitionId()

### setDesktopDefinitionId

    public void setDesktopDefinitionId(DesktopDefinitionId desktopDefinitionId)

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

### getLocalizationIntersectionId

    public LocalizationIntersectionId getLocalizationIntersectionId()

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

### setMarkupDefinitionId

    public void setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)

### getBookDefinitionId

    public BookDefinitionId getBookDefinitionId()

### setBookDefinitionId

    public void setBookDefinitionId(BookDefinitionId bookDefinitionId)

### getShellDefinitionId

    public ShellDefinitionId getShellDefinitionId()

### getLookAndFeelDefinitionId

    public LookAndFeelDefinitionId getLookAndFeelDefinitionId()

### getBookInstanceId

    public BookInstanceId getBookInstanceId()

### getPrimaryInstanceId

    public DesktopInstanceId getPrimaryInstanceId()

### setLookAndFeelDefinitionId

    public void setLookAndFeelDefinitionId(LookAndFeelDefinitionId lookAndFeelDefinitionId)

### setShellDefinitionId

    public void setShellDefinitionId(ShellDefinitionId shellDefinitionId)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved